<id>
Mood for YaBB 2.3.1
</id>

<version>
1.3
</version>

<mod info>
Allows Users to Select Mood

Version History
1.0 - First release by Derek Barnstorm - 5th August 2008
1.1 - Made new images, aligned text and image better, added more moods and added preview image in User CP - 1st October 2008
1.2 - Updated for YaBB 2.3 - 14th October 2008
1.3 - Updated for YaBB 2.3.1 - 4th January 2009

Files to edit
Admin/ModList.pl 
Admin/NewSettings.pl 
Admin/Settings_Main.pl 
Sources/Display.pl 
Sources/Load.pl 
Sources/MyCenter.pl 
Sources/Profile.pl 
Sources/System.pl 
Templates/default/Display.template 
Templates/default/MyCenter.template
Templates/yabb2/Display.template
Templates/yabb2/MyCenter.template
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_mood = "Mood 1.3|Derek Barnstorm|Allows Users to Select Mood|1.3|4th January 2009";
	push (@installed_mods, "$mod_mood");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$showmoodimage = $showmoodimage;			# Set to 1 to display members mood in the message view
\$showmood = $showmood;			# Set to 1 to display each members mood in profile
</add after>

<search for>
\$allowpics = $allowpics;				# set to 1 to allow members to choose avatars in their profile
</search for>

<add before>
\$allowselectmood = $allowselectmood;			# Set to 1 to allow members to select mood
</add before>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage('Mood');
</add after>

<search for>
		{
			description => $admin_txt{'386'},
			input_html => qq~<input type="checkbox" name="showgenderimage" value="1"${ischecked($showgenderimage)} />~,
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => $mood_txt{'04'},
			input_html => qq~<input type="checkbox" name="showmoodimage" value="1"${ischecked($showmoodimage)} />~,
			name => 'showmoodimage',
			validate => 'boolean',
		},
		{
			description => $mood_txt{'05'},
			input_html => qq~<input type="checkbox" name="showmood" value="1"${ischecked($showmood)} />~,
			name => 'showmood',
			validate => 'boolean',
		},
</add after>

<search for>
		{
			description => $admin_txt{'746'},
			input_html => qq~<input type="checkbox" name="allowpics" value="1"${ischecked($allowpics)} />~,
			name => 'allowpics',
			validate => 'boolean',
		},
</search for>

<add before>
		{
			description => $mood_txt{'03'},
			input_html => qq~<input type="checkbox" name="allowselectmood" value="1"${ischecked($allowselectmood)} />~,
			name => 'allowselectmood',
			validate => 'boolean',
		},
</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		my ($template_usertext, $template_postinfo, $template_gender, $template_profile, $template_quote, $template_email, $template_www, $template_pm, $avatar);
</search for>

<replace>
		my ($template_usertext, $template_postinfo, $template_gender, $template_mood, $template_profile, $template_quote, $template_email, $template_www, $template_pm, $avatar);
</replace>

<search for>
			$template_gender = ${$uid.$musername}{'gender'};
</search for>

<add after>
			$template_mood = ${$uid.$musername}{'mood'};
</add after>

<search for>
		$outblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb mood(}|>)/$template_mood/g;
</add after>

<edit file>
Sources/Load.pl
</edit file>

<Search for>
require "$sourcedir/System.pl";
</search for>

<add after>
&LoadLanguage('Mood');

</add after>

<search for>
	} else {
		${$uid.$user}{'gender'} = '';
	}
</search for>

<add after>

    if ($showmoodimage && $allowselectmood && ${$uid.$user}{'mood'} ne 'NoMood.gif') {
		${$uid.$user}{'mood'} = ${$uid.$user}{'mood'} ? qq~<span style="vertical-align: middle;">$mood_txt{'01'}:</span> <img style="vertical-align: middle;" src="$modimgurl/Mood/Languages/$language/${$uid.$user}{'mood'}" border="0" alt="" /><br />~ : '';
	} else {
		${$uid.$user}{'mood'} = '';
	}
	
</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		$template_gender = ${$uid.$username}{'gender'};
</search for>

<add after>
		$template_mood = ${$uid.$username}{'mood'};
</add after>

<search for>
		$myprofileblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add after>
		$myprofileblock =~ s/({|<)yabb mood(}|>)/$template_mood/g;
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
&LoadLanguage('Profile');
</search for>

<add after>
&LoadLanguage('Mood');
</add after>

<search for>
	if (${$uid.$user}{'gender'} eq 'Female') { $GenderFemale = ' selected="selected" '; }
</search for>

<add after>

	if (${$uid.$user}{'mood'} eq $NoMood) { $NoMood = 'NoMood.gif'; }
	else { $NoMood = ${$uid.$user}{'mood'}; }
	if (${$uid.$user}{'mood'} eq 'NoMood.gif') { $MoodNoMood = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Adored.gif') { $MoodAdored = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Adventurous.gif') { $MoodAdventurous = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Afraid.gif') { $MoodAfraid = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Aggravated.gif') { $MoodAggravated = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Aggressive.gif') { $MoodAggressive = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Amazed.gif') { $MoodAmorus = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Amorous.gif') { $MoodAmorous = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Amused.gif') { $MoodAmused = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Angelic.gif') { $MoodAngelic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Angry.gif') { $MoodAngry = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Annoyed.gif') { $MoodAnnoyed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Anxious.gif') { $MoodAnxious = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Artistic.gif') { $MoodArtistic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Ashamed.gif') { $MoodAshamed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Asleep.gif') { $MoodAsleep = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Awake.gif') { $MoodAwake = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Bad.gif') { $MoodBad = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Betrayed.gif') { $MoodBetrayed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Bitchy.gif') { $MoodBitchy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Blah.gif') { $MoodBlah = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Blank.gif') { $MoodBlank = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Blessed.gif') { $MoodBlessed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Blue.gif') { $MoodBlue = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Boggled.gif') { $MoodBoggled = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Bored.gif') { $MoodBored = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Brooding.gif') { $MoodBrooding = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Busy.gif') { $MoodBusy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Buzzed.gif') { $MoodBuzzed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Calm.gif') { $MoodCalm = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Cheeky.gif') { $MoodCheeky = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Cheesy.gif') { $MoodCheesy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Cheerful.gif') { $MoodCheerful = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Chilled.gif') { $MoodChilled = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Cold.gif') { $MoodCold = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Complacent.gif') { $MoodComplacent = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Confident.gif') { $MoodConfident = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Confused.gif') { $MoodConfused = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Content.gif') { $MoodContent = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Cool.gif") { $MoodCool = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Cranky.gif") { $MoodCranky = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Crazy.gif") { $MoodCrazy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Creative.gif") { $MoodCreative = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Curious.gif') { $MoodCurious = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Cynical.gif') { $MoodCynical = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Daring.gif') { $MoodDaring = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Dazed.gif') { $MoodDazed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Dead.gif') { $MoodDead = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Defensive.gif') { $MoodDefensive = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Depressed.gif') { $MoodDepressed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Devilish.gif') { $MoodDevilish = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Devious.gif') { $MoodDevious = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Disappointed.gif') { $MoodDisappointed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Discontent.gif') { $MoodDiscontent = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Distraught.gif') { $MoodDistraught = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Dopey.gif') { $MoodDopey = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Down.gif') { $MoodDown = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Drained.gif') { $MoodDrained = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Drunk.gif') { $MoodDrunk = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Eccentric.gif') { $MoodEccentric = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Ecstatic.gif') { $MoodEcstatic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Edgy.gif') { $MoodEdgy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Electric.gif') { $MoodElectric = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Embarrassed.gif') { $MoodEmbarrassed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Energetic.gif') { $MoodEnergetic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Envious.gif') { $MoodEnvious = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Evil.gif') { $MoodEvil = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Excited.gif') { $MoodExcited = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Exhausted.gif') { $MoodExhausted = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Exotic.gif') { $MoodExotic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Fabulous.gif') { $MoodFabulous = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Fine.gif') { $MoodFine = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Flirty.gif') { $MoodFlirty = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Focused.gif') { $MoodFocused = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Frustrated.gif') { $MoodFrustrated = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Freaky.gif') { $MoodFreaky = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Geeky.gif') { $MoodGeeky = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Giggly.gif') { $MoodGiggly = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Gloomy.gif') { $MoodGloomy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Good.gif') { $MoodGood = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Goofy.gif') { $MoodGoofy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Grateful.gif') { $MoodGrateful = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Great.gif') { $MoodGreat = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Groggy.gif') { $MoodGroggy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Groovy.gif') { $MoodGroovy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Grumpy.gif') { $MoodGrumpy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Guilty.gif') { $MoodGuilty = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Happy.gif') { $MoodHappy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hated.gif') { $MoodHated = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hateful.gif') { $MoodHateful = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'High.gif') { $MoodHigh = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hopeful.gif') { $MoodHopeful = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Horny.gif') { $MoodHorny = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hot.gif') { $MoodHot = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hungover.gif') { $MoodHungover = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hurt.gif') { $MoodHurt = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Hyper.gif') { $MoodHyper = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Ill.gif') { $MoodIll = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Imaginative.gif') { $MoodImaginative = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Impatient.gif') { $MoodImpatient = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Impressed.gif') { $MoodImpressed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Indifferent.gif') { $MoodIndifferent = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Infuriated.gif') { $MoodInfuriated = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'InLove.gif') { $MoodInLove = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Innocent.gif') { $MoodInnocent = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Inquisitive.gif') { $MoodInquisitive = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Inspired.gif') { $MoodInspired = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Intense.gif') { $MoodIntense = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Jealous.gif') { $MoodJealous = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Jittery.gif') { $MoodJittery = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Jolly.gif') { $MoodJolly = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Knowing.gif') { $MoodKnowing = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Lazy.gif') { $MoodLazy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Lethargic.gif') { $MoodLethargic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Lonely.gif') { $MoodLonely = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Loud.gif') { $MoodLoud = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Loved.gif') { $MoodLoved = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Luninous.gif") { $MoodLuminous = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Lurking.gif") { $MoodLurking = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Mad.gif") { $MoodMad = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq "Mean.gif") { $MoodMean = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Mediocre.gif') { $MoodMediocre = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Melancholy.gif') { $MoodMelancholy = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Mellow.gif') { $MoodMellow = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Mischievous.gif') { $MoodMischievous = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Miserable.gif') { $MoodMiserable = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Moody.gif') { $MoodMoody = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Musical.gif') { $MoodMusical = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Naughty.gif') { $MoodNaughty = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Nauseated.gif') { $MoodNauseated = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Neglected.gif') { $MoodNeglected = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Nervous.gif') { $MoodNervous = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Normal.gif') { $MoodNormal = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Nostalgic.gif') { $MoodNostalgic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Numb.gif') { $MoodNumb = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Okay.gif') { $MoodOkay = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Optimistic.gif') { $MoodOptimistic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'OutThere.gif') { $MoodOutThere = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Peaceful.gif') { $MoodPeaceful = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Peeved.gif') { $MoodPeeved = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Pensive.gif') { $MoodPensive = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Pessimistic.gif') { $MoodPessimistic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Placid.gif') { $MoodPlacid = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Pleased.gif') { $MoodPleased = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Pretty.gif') { $MoodPretty = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Productive.gif') { $MoodProductive = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Proud.gif') { $MoodProud = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Psyched.gif') { $MoodPsyched = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Psychedelic.gif') { $MoodPsychedelic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Puzzled.gif') { $MoodPuzzled = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Quiet.gif') { $MoodQuiet = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Quirky.gif') { $MoodQuirky = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Rebellious.gif') { $MoodRebellious = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Refreshed.gif') { $MoodRefreshed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Relaxed.gif') { $MoodRelaxed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Relieved.gif') { $MoodRelieved = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Restless.gif') { $MoodRestless = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Rockin.gif') { $MoodRockin = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'RocknRoll.gif') { $MoodRocknRoll = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Romantic.gif') { $MoodRomantic = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Rushed.gif') { $MoodRushed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Sad.gif') { $MoodSad = ' selected="selected" '; }
    if (${$uid.$user}{'mood'} eq 'Sassy.gif') { $MoodSassy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Satisfied.gif') { $MoodSatisfied = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Savage.gif') { $MoodSavage = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Scared.gif') { $MoodScared = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Selective.gif') { $MoodSelective = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Sexy.gif') { $MoodSexy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Shocked.gif') { $MoodShocked = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Shy.gif') { $MoodShy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Sick.gif') { $MoodSick = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Silly.gif') { $MoodSilly = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Sleepy.gif') { $MoodSleepy = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Sneaky.gif') { $MoodSneaky = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Sorry.gif') { $MoodSorry = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'SoSo.gif') { $MoodSoSo = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Spaced.gif') { $MoodSpaced = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Spooked.gif') { $MoodSpooked = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Stoned.gif') { $MoodStoned = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Strange.gif') { $MoodStrange = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Stressed.gif') { $MoodStressed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Strong.gif') { $MoodStrong = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Surprised.gif') { $MoodSurprised = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Talkative.gif') { $MoodTalkative = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Tested.gif') { $MoodTested = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Thankful.gif') { $MoodThankful = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Thoughtful.gif') { $MoodThoughtful = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Tired.gif') { $MoodTired = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Touched.gif') { $MoodTouched = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Triumphant.gif') { $MoodTriumphant = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Twisted.gif') { $MoodTwisted = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Up.gif') { $MoodUp = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Upset.gif') { $MoodUpset = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Used.gif') { $MoodUsed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Vexed.gif') { $MoodVexed = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Vibrant.gif') { $MoodVibrant = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Vonarable.gif') { $MoodVonarable = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Wacky.gif') { $MoodWacky = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Warm.gif') { $MoodWarm = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Wasted.gif') { $MoodWasted = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Weird.gif') { $MoodWeird = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Worried.gif') { $MoodWorried = ' selected="selected" '; }
	if (${$uid.$user}{'mood'} eq 'Zealous.gif') { $MoodZealous = ' selected="selected" '; }
	
</add after>

<search for>
   <td align="left"><select name="gender" size="1"><option value=""></option><option value="Male"$GenderMale>$profile_txt{'238'}</option><option value="Female"$GenderFemale>$profile_txt{'239'}</option></select></td>
 </tr><tr class="windowbg">
</search for>

<replace>
   <td align="left"><select name="gender" size="1"><option value=""></option><option value="Male"$GenderMale>$profile_txt{'238'}</option><option value="Female"$GenderFemale>$profile_txt{'239'}</option></select></td>
 </tr>~;
 if ($allowselectmood) {
 $showProfile .= qq~
 <tr class="windowbg">
 <td width="220" align="left"><b>$mood_txt{'01'}: </b></td>
   <td align="left" valign="middle">
            <script language="JavaScript1.2" type="text/javascript">
            function showmoodimage() {
              if (!document.images) return;
              document.images.moodicons.src="$modimgurl/Mood/Languages/$language/"+document.creator.mood.options[document.creator.mood.selectedIndex].value;
            }
            </script>
   <span style="vertical-align: middle;">    
   <select name="mood" size="1" onchange="showmoodimage();">
   <option value="NoMood.gif"$MoodNoMood>$mood_txt{'02'}</option>
   <option value="Adored.gif"$MoodAdored>$mood_txt{'001'}</option>
   <option value="Adventurous.gif"$MoodAdventurous>$mood_txt{'002'}</option>
   <option value="Afraid.gif"$MoodAfraid>$mood_txt{'003'}</option>
   <option value="Aggravated.gif"$MoodAggravated>$mood_txt{'004'}</option>
   <option value="Aggressive.gif"$MoodAggressive>$mood_txt{'005'}</option>
   <option value="Amazed.gif"$MoodAmazed>$mood_txt{'006'}</option>
   <option value="Amorous.gif"$MoodAmorous>$mood_txt{'007'}</option>
   <option value="Amused.gif"$MoodAmused>$mood_txt{'008'}</option>
   <option value="Angelic.gif"$MoodAngelic>$mood_txt{'009'}</option>
   <option value="Angry.gif"$MoodAngry>$mood_txt{'010'}</option>
   <option value="Annoyed.gif"$MoodAnnoyed>$mood_txt{'011'}</option>
   <option value="Anxious.gif"$MoodAnxious>$mood_txt{'012'}</option>
   <option value="Artistic.gif"$MoodArtistic>$mood_txt{'013'}</option>
   <option value="Ashamed.gif"$MoodAshamed>$mood_txt{'014'}</option>
   <option value="Asleep.gif"$MoodAsleep>$mood_txt{'015'}</option>
   <option value="Awake.gif"$MoodAwake>$mood_txt{'016'}</option>
   <option value="Bad.gif"$MoodBad>$mood_txt{'017'}</option>
   <option value="Betrayed.gif"$MoodBetrayed>$mood_txt{'018'}</option>
   <option value="Bitchy.gif"$MoodBitchy>$mood_txt{'019'}</option>
   <option value="Blah.gif"$MoodBlah>$mood_txt{'020'}</option>
   <option value="Blank.gif"$MoodBlank>$mood_txt{'021'}</option>
   <option value="Blessed.gif"$MoodBlessed>$mood_txt{'022'}</option>
   <option value="Blue.gif"$MoodBlue>$mood_txt{'023'}</option>
   <option value="Boggled.gif"$MoodBoggled>$mood_txt{'024'}</option>
   <option value="Bored.gif"$MoodBored>$mood_txt{'025'}</option>
   <option value="Brooding.gif"$MoodBrooding>$mood_txt{'026'}</option>
   <option value="Busy.gif"$MoodBusy>$mood_txt{'027'}</option>
   <option value="Buzzed.gif"$MoodBuzzed>$mood_txt{'028'}</option>
   <option value="Calm.gif"$MoodCalm>$mood_txt{'029'}</option>
   <option value="Cheeky.gif"$MoodCheeky>$mood_txt{'030'}</option>
   <option value="Cheesy.gif"$MoodCheesy>$mood_txt{'031'}</option>
   <option value="Cheerful.gif"$MoodCheerful>$mood_txt{'032'}</option>
   <option value="Chilled.gif"$MoodChilled>$mood_txt{'033'}</option>
   <option value="Cold.gif"$MoodCold>$mood_txt{'034'}</option>
   <option value="Complacent.gif"$MoodComplacent>$mood_txt{'035'}</option>
   <option value="Confident.gif"$MoodConfident>$mood_txt{'036'}</option>
   <option value="Confused.gif"$MoodConfused>$mood_txt{'037'}</option>
   <option value="Content.gif"$MoodContent>$mood_txt{'038'}</option>
   <option value="Cool.gif"$MoodCool>$mood_txt{'039'}</option>
   <option value="Cranky.gif"$MoodCranky>$mood_txt{'040'}</option>
   <option value="Crazy.gif"$MoodCrazy>$mood_txt{'041'}</option>
   <option value="Creative.gif"$MoodCreative>$mood_txt{'042'}</option>
   <option value="Curious.gif"$MoodCurious>$mood_txt{'043'}</option>
   <option value="Cynical.gif"$MoodCynical>$mood_txt{'044'}</option>
   <option value="Daring.gif"$MoodDaring>$mood_txt{'045'}</option>
   <option value="Dazed.gif"$MoodDazed>$mood_txt{'046'}</option>
   <option value="Dead.gif"$MoodDead>$mood_txt{'047'}</option>
   <option value="Defensive.gif"$MoodDefensive>$mood_txt{'048'}</option>
   <option value="Depressed.gif"$MoodDepressed>$mood_txt{'049'}</option>
   <option value="Devilish.gif"$MoodDevilish>$mood_txt{'050'}</option>
   <option value="Devious.gif"$MoodDevious>$mood_txt{'051'}</option>
   <option value="Disappointed.gif"$MoodDisappointed>$mood_txt{'052'}</option>
   <option value="Discontent.gif"$MoodDiscontent>$mood_txt{'053'}</option>
   <option value="Distraught.gif"$MoodDistraught>$mood_txt{'054'}</option>
   <option value="Dopey.gif"$MoodDopey>$mood_txt{'055'}</option>
   <option value="Down.gif"$MoodDown>$mood_txt{'056'}</option>
   <option value="Drained.gif"$MoodDrained>$mood_txt{'057'}</option>
   <option value="Drunk.gif"$MoodDrunk>$mood_txt{'058'}</option>
   <option value="Eccentric.gif"$MoodEccentric>$mood_txt{'059'}</option>
   <option value="Ecstatic.gif"$MoodEcstatic>$mood_txt{'060'}</option>
   <option value="Edgy.gif"$MoodEdgy>$mood_txt{'061'}</option>
   <option value="Electric.gif"$MoodElectric>$mood_txt{'062'}</option>
   <option value="Embarrassed.gif"$MoodEmbarrassed>$mood_txt{'063'}</option>
   <option value="Energetic.gif"$MoodEnergetic>$mood_txt{'064'}</option>
   <option value="Envious.gif"$MoodEnvious>$mood_txt{'065'}</option>
   <option value="Evil.gif"$MoodEvil>$mood_txt{'066'}</option>
   <option value="Excited.gif"$MoodExcited>$mood_txt{'067'}</option>
   <option value="Exhausted.gif"$MoodExhausted>$mood_txt{'068'}</option>
   <option value="Exotic.gif"$MoodExotic>$mood_txt{'069'}</option>
   <option value="Fabulous.gif"$MoodFabulous>$mood_txt{'070'}</option>
   <option value="Fine.gif"$MoodFine>$mood_txt{'071'}</option>
   <option value="Flirty.gif"$MoodFlirty>$mood_txt{'072'}</option>
   <option value="Focused.gif"$MoodFocused>$mood_txt{'073'}</option>
   <option value="Frustrated.gif"$MoodFrustrated>$mood_txt{'074'}</option>
   <option value="Freaky.gif"$MoodFreaky>$mood_txt{'075'}</option>
   <option value="Geeky.gif"$MoodGeeky>$mood_txt{'076'}</option>
   <option value="Giggly.gif"$MoodGiggly>$mood_txt{'077'}</option>
   <option value="Gloomy.gif"$MoodGloomy>$mood_txt{'078'}</option>
   <option value="Good.gif"$MoodGood>$mood_txt{'079'}</option>
   <option value="Goofy.gif"$MoodGoofy>$mood_txt{'080'}</option>
   <option value="Grateful.gif"$MoodGrateful>$mood_txt{'081'}</option>
   <option value="Great.gif"$MoodGreat>$mood_txt{'082'}</option>
   <option value="Groggy.gif"$MoodGroggy>$mood_txt{'083'}</option>
   <option value="Groovy.gif"$MoodGroovy>$mood_txt{'084'}</option>
   <option value="Grumpy.gif"$MoodGrumpy>$mood_txt{'085'}</option>
   <option value="Guilty.gif"$MoodGuilty>$mood_txt{'086'}</option>
   <option value="Happy.gif"$MoodHappy>$mood_txt{'087'}</option>
   <option value="Hated.gif"$MoodHated>$mood_txt{'088'}</option>
   <option value="Hateful.gif"$MoodHateful>$mood_txt{'089'}</option>
   <option value="High.gif"$MoodHigh>$mood_txt{'090'}</option>
   <option value="Hopeful.gif"$MoodHopeful>$mood_txt{'091'}</option>
   <option value="Horny.gif"$MoodHorny>$mood_txt{'092'}</option>
   <option value="Hot.gif"$MoodHot>$mood_txt{'093'}</option>
   <option value="Hungover.gif"$MoodHungover>$mood_txt{'094'}</option>
   <option value="Hurt.gif"$MoodHurt>$mood_txt{'095'}</option>
   <option value="Hyper.gif"$MoodHyper>$mood_txt{'096'}</option>
   <option value="Ill.gif"$MoodIll>$mood_txt{'097'}</option>
   <option value="Imaginative.gif"$MoodImaginative>$mood_txt{'098'}</option>
   <option value="Impatient.gif"$MoodImpatient>$mood_txt{'099'}</option>
   <option value="Impressed.gif"$MoodImpressed>$mood_txt{'100'}</option>
   <option value="Indifferent.gif"$MoodIndifferent>$mood_txt{'101'}</option>
   <option value="Infuriated.gif"$MoodInfuriated>$mood_txt{'102'}</option>
   <option value="InLove.gif"$MoodInLove>$mood_txt{'103'}</option>
   <option value="Innocent.gif"$MoodInnocent>$mood_txt{'104'}</option>
   <option value="Inquisitive.gif"$MoodInquisitive>$mood_txt{'105'}</option>
   <option value="Inspired.gif"$MoodInspired>$mood_txt{'106'}</option>
   <option value="Intense.gif"$MoodIntense>$mood_txt{'107'}</option>
   <option value="Jealous.gif"$MoodJealous>$mood_txt{'108'}</option>
   <option value="Jittery.gif"$MoodJittery>$mood_txt{'109'}</option>
   <option value="Jolly.gif"$MoodJolly>$mood_txt{'110'}</option>
   <option value="Knowing.gif"$MoodKnowing>$mood_txt{'111'}</option>
   <option value="Lazy.gif"$MoodLazy>$mood_txt{'112'}</option>
   <option value="Lethargic.gif"$MoodLethargic>$mood_txt{'113'}</option>
   <option value="Lonely.gif"$MoodLonely>$mood_txt{'114'}</option>
   <option value="Loud.gif"$MoodLoud>$mood_txt{'115'}</option>
   <option value="Loved.gif"$MoodLoved>$mood_txt{'116'}</option>
   <option value="Luminous.gif"$MoodLuminous>$mood_txt{'117'}</option>
   <option value="Lurking.gif"$MoodLurking>$mood_txt{'118'}</option>
   <option value="Mad.gif"$MoodMad>$mood_txt{'119'}</option>
   <option value="Mean.gif"$MoodMean>$mood_txt{'120'}</option>
   <option value="Mediocre.gif"$MoodMediocre>$mood_txt{'121'}</option>
   <option value="Melancholy.gif"$MoodMeloncholy>$mood_txt{'122'}</option>
   <option value="Mellow.gif"$MoodMellow>$mood_txt{'123'}</option>
   <option value="Mischievous.gif"$MoodMischievous>$mood_txt{'124'}</option>
   <option value="Miserable.gif"$MoodMiserable>$mood_txt{'125'}</option>
   <option value="Moody.gif"$MoodMoody>$mood_txt{'126'}</option>
   <option value="Musical.gif"$MoodMusical>$mood_txt{'127'}</option>
   <option value="Naughty.gif"$MoodNaughty>$mood_txt{'128'}</option>
   <option value="Nauseated.gif"$MoodNauseated>$mood_txt{'129'}</option>
   <option value="Neglected.gif"$MoodNeglected>$mood_txt{'130'}</option>
   <option value="Nervous.gif"$MoodNervous>$mood_txt{'131'}</option>
   <option value="Normal.gif"$MoodNormal>$mood_txt{'132'}</option>
   <option value="Nostalgic.gif"$MoodNostalgic>$mood_txt{'133'}</option>
   <option value="Numb.gif"$MoodNumb>$mood_txt{'134'}</option>
   <option value="Okay.gif"$MoodOkay>$mood_txt{'135'}</option>
   <option value="Optimistic.gif"$MoodOptimistic>$mood_txt{'136'}</option>
   <option value="OutThere.gif"$MoodOutThere>$mood_txt{'137'}</option>
   <option value="Peaceful.gif"$MoodPeaceful>$mood_txt{'138'}</option>
   <option value="Peeved.gif"$MoodPeeved>$mood_txt{'139'}</option>
   <option value="Pensive.gif"$MoodPensive>$mood_txt{'140'}</option>
   <option value="Pessimistic.gif"$MoodPessimistic>$mood_txt{'141'}</option>
   <option value="Placid.gif"$MoodPlacid>$mood_txt{'142'}</option>
   <option value="Pleased.gif"$MoodPleased>$mood_txt{'143'}</option>
   <option value="Pretty.gif"$MoodPretty>$mood_txt{'144'}</option>
   <option value="Productive.gif"$MoodProductive>$mood_txt{'145'}</option>
   <option value="Proud.gif"$MoodProud>$mood_txt{'146'}</option>
   <option value="Psyched.gif"$MoodPsyched>$mood_txt{'147'}</option>
   <option value="Psychedelic.gif"$MoodPsychedelic>$mood_txt{'148'}</option>
   <option value="Puzzled.gif"$MoodPuzzled>$mood_txt{'149'}</option>
   <option value="Quiet.gif"$MoodQuiet>$mood_txt{'150'}</option>
   <option value="Quirky.gif"$MoodQuirky>$mood_txt{'151'}</option>
   <option value="Rebellious.gif"$MoodRebellious>$mood_txt{'152'}</option>
   <option value="Refreshed.gif"$MoodRefreshed>$mood_txt{'153'}</option>
   <option value="Relaxed.gif"$MoodRelaxed>$mood_txt{'154'}</option>
   <option value="Relieved.gif"$MoodRelieved>$mood_txt{'155'}</option>
   <option value="Restless.gif"$MoodRestless>$mood_txt{'156'}</option>
   <option value="Rockin.gif"$MoodRockin>$mood_txt{'157'}</option>
   <option value="RocknRoll.gif"$MoodRocknRoll>$mood_txt{'158'}</option>
   <option value="Romantic.gif"$MoodRomantic>$mood_txt{'159'}</option>
   <option value="Rushed.gif"$MoodRushed>$mood_txt{'160'}</option>
   <option value="Sad.gif"$MoodSad>$mood_txt{'161'}</option>
   <option value="Sassy.gif"$MoodSassy>$mood_txt{'162'}</option>
   <option value="Satisfied.gif"$MoodSatisfied>$mood_txt{'163'}</option>
   <option value="Savage.gif"$MoodSavage>$mood_txt{'164'}</option>
   <option value="Scared.gif"$MoodScared>$mood_txt{'165'}</option>
   <option value="Selective.gif"$MoodSelective>$mood_txt{'166'}</option>
   <option value="Sexy.gif"$MoodSexy>$mood_txt{'167'}</option>
   <option value="Shocked.gif"$MoodShocked>$mood_txt{'168'}</option>
   <option value="Shy.gif"$MoodShy>$mood_txt{'169'}</option>
   <option value="Sick.gif"$MoodSick>$mood_txt{'170'}</option>
   <option value="Silly.gif"$MoodSilly>$mood_txt{'171'}</option>
   <option value="Sleepy.gif"$MoodSleepy>$mood_txt{'172'}</option>
   <option value="Sneaky.gif"$MoodSneaky>$mood_txt{'173'}</option>
   <option value="Sorry.gif"$MoodSorry>$mood_txt{'174'}</option>
   <option value="SoSo.gif"$MoodSoSo>$mood_txt{'175'}</option>
   <option value="Spaced.gif"$MoodSpaced>$mood_txt{'176'}</option>
   <option value="Spooked.gif"$MoodSpooked>$mood_txt{'177'}</option>
   <option value="Stoned.gif"$MoodStoned>$mood_txt{'178'}</option>
   <option value="Strange.gif"$MoodStrange>$mood_txt{'179'}</option>
   <option value="Stressed.gif"$MoodStressed>$mood_txt{'180'}</option>
   <option value="Strong.gif"$MoodStrong>$mood_txt{'181'}</option>
   <option value="Surprised.gif"$MoodSurprised>$mood_txt{'182'}</option>
   <option value="Talkative.gif"$MoodTalkative>$mood_txt{'183'}</option>
   <option value="Tested.gif"$MoodTested>$mood_txt{'184'}</option>
   <option value="Thankful.gif"$MoodThankful>$mood_txt{'185'}</option>
   <option value="Thoughtful.gif"$MoodThoughtful>$mood_txt{'186'}</option>
   <option value="Tired.gif"$MoodTired>$mood_txt{'187'}</option>
   <option value="Touched.gif"$MoodTouched>$mood_txt{'188'}</option>
   <option value="Triumphant.gif"$MoodTriumphant>$mood_txt{'189'}</option>
   <option value="Twisted.gif"$MoodTwisted>$mood_txt{'190'}</option>
   <option value="Up.gif"$MoodUp>$mood_txt{'191'}</option>
   <option value="Upset.gif"$MoodUpset>$mood_txt{'192'}</option>
   <option value="Used.gif"$MoodUsed>$mood_txt{'193'}</option>
   <option value="Vexed.gif"$MoodVexed>$mood_txt{'194'}</option>
   <option value="Vibrant.gif"$MoodVibrant>$mood_txt{'195'}</option>
   <option value="Vonarable.gif"$MoodVonarable>$mood_txt{'196'}</option>
   <option value="Wacky.gif"$MoodWacky>$mood_txt{'197'}</option>
   <option value="Warm.gif"$MoodWarm>$mood_txt{'198'}</option>
   <option value="Wasted.gif"$MoodWasted>$mood_txt{'199'}</option>
   <option value="Weird.gif"$MoodWeird>$mood_txt{'200'}</option>
   <option value="Worried.gif"$MoodWorried>$mood_txt{'201'}</option>
   <option value="Zealous.gif"$MoodZealous>$mood_txt{'202'}</option>
   </select>
   </span>
   &nbsp;&nbsp;<img style="vertical-align: middle;" src="$modimgurl/Mood/Languages/$language/$NoMood" name="moodicons" border="0" alt="" />
   </td>
 </tr> ~;
 }
 	$showProfile .= qq~
 	<tr class="windowbg">
</replace>
 
<search for>
		&ToHTML($member{'gender'});
</search for>
 
<add after>
		&ToHTML($member{'mood'});
</add after>
 
<search for>
		${$uid.$user}{'gender'} = $member{'gender'};
</search for>
 
<add after>
		${$uid.$user}{'mood'} = $member{'mood'};
</add after>
 
<search for>
	my ($memberinfo, $modify, $email, $gender, $avstyle, $pic);
</search for>
 
<replace>
	my ($memberinfo, $modify, $email, $gender, $mood, $avstyle, $pic);
</replace>
 
<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</search for>
 
<replace>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_mood, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</replace>
 
<search for>
		$row_addgrp .= qq~<br /><span class="small">$showaddgr</span>~;
	}
</search for>

<add after>
    if ($showmood && $allowselectmood && ${$uid.$user}{'mood'} ne 'NoMood.gif' && ${$uid.$user}{'mood'} ne '') {
    $row_mood .= qq~
	<img src="$modimgurl/Mood/Languages/$language/${$uid.$user}{'mood'}" border="0" alt="" /><br />
	~;
	}
</add after>

<search for>
			$online<br />
</search for>

<add after>
            $row_mood
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(password realname email regdate regreason webtitle weburl spamcount spamtime signature postcount position addgroups icq aim yim skype gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_popup im_imspop notify_me board_notifications thread_notifications cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex lastips onlinealert pmactprev pmmessprev pmviewMess buddylist offlinestatus awaysubj awayreply awayreplysent stealth reversetopic);
</search for>

<add after>
	push(@tags,"mood");
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
		{yabb mood}
</add after>

<edit file>
Templates/default/MyCenter.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
 		{yabb mood}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb mood>
</add after>

<edit file>
Templates/yabb21/MyCenter.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb mood>
</add after>